org.apache.kylin.jdbc

## Class KylinMeta.KMetaCatalog

- java.lang.Object
- - org.apache.kylin.jdbc.KylinMeta.KMetaCatalog

All Implemented Interfaces:
  org.apache.calcite.avatica.MetaImpl.Named, KylinMeta.NamedWithChildren

Enclosing class:
  KylinMeta

    public static class KylinMeta.KMetaCatalog
    extends Object
    implements KylinMeta.NamedWithChildren

### Field Summary

Fields
`List<KylinMeta.KMetaSchema>` `schemas`
`String` `tableCat`

### Constructor Summary

Constructors
Constructor and Description
`KylinMeta.KMetaCatalog(String tableCatalog, List<KylinMeta.KMetaSchema> schemas)`

### Method Summary

Methods
`List<? extends KylinMeta.NamedWithChildren>` `getChildren()`
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableCat

    public final String tableCat

#### schemas

    public final List<KylinMeta.KMetaSchema> schemas

### Constructor Detail

#### KylinMeta.KMetaCatalog

    public KylinMeta.KMetaCatalog(String tableCatalog,
                          List<KylinMeta.KMetaSchema> schemas)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.apache.calcite.avatica.MetaImpl.Named`

#### getChildren

    public List<? extends KylinMeta.NamedWithChildren> getChildren()

Specified by:
  `getChildren` in interface `KylinMeta.NamedWithChildren`